API Reference

Brands

6 endpoints· Auth: JWT or API Key
get/api/v1/console/brands JWT API Key

Get brands

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/brands" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/brands JWT API Key

Create brands

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "slug": "string"
}
name
string
—
nameAr
string
—
slug
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/brands" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "slug": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/brands/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/brands/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
patch/api/v1/console/brands/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string"
}
name
string
—
nameAr
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/brands/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/brands/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/brands/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/brands/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false
}
active
boolean
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/brands/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu